# Uses of Class
org.eclipse.birt.chart.computation.Point

Packages that use Point
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.

## Uses of Point in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Point
Modifier and Type
Method
Description
`Point[]`
RotatedRectangle.`asPoints()`
Returns points as Point objects.
`Point`
Polygon.`getPoint(int index)`
`Point`
RotatedRectangle.`getRectSize()`
returns the size of the rectangle.
Methods in org.eclipse.birt.chart.computation that return types with arguments of type Point
Modifier and Type
Method
Description
`List<Point>`
Polygon.`getPoints()`
Methods in org.eclipse.birt.chart.computation with parameters of type Point
Modifier and Type
Method
Description
`void`
Polygon.`add(Point p)`
`boolean`
Polygon.`contains(Point p)`
`boolean`
Rectangle.`contains(Point lo)`